VTK: vtkInformationIntegerRequestKey Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkInformationIntegerRequestKey Class Reference

key that can used to request integer values from the pipeline vtkInformationIntegerRequestKey is a vtkInformationIntegerKey that can used to request integer values from upstream. More...

`#include <vtkInformationIntegerRequestKey.h>`

Inheritance diagram for vtkInformationIntegerRequestKey:
[legend]
Collaboration diagram for vtkInformationIntegerRequestKey:
[legend]

## Public Types
typedef vtkInformationIntegerKey | Superclass
Public Types inherited from vtkInformationIntegerKey
typedef vtkInformationKey | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkInformationIntegerRequestKey * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
| vtkInformationIntegerRequestKey (const char *name, const char *location)
| ~vtkInformationIntegerRequestKey () override
bool | NeedToExecute (vtkInformation *pipelineInfo, vtkInformation *dobjInfo) override
| Returns true if a value of type DataKey does not exist in dobjInfo or if it is different that the value stored in pipelineInfo using this key. More...
void | StoreMetaData (vtkInformation *request, vtkInformation *pipelineInfo, vtkInformation *dobjInfo) override
| Copies the value stored in pipelineInfo using this key into dobjInfo. More...
void | CopyDefaultInformation (vtkInformation *request, vtkInformation *fromInfo, vtkInformation *toInfo) override
| Copies the value stored in fromInfo using this key into toInfo if request has the REQUEST_UPDATE_EXTENT key. More...
Public Member Functions inherited from vtkInformationIntegerKey
vtkInformationIntegerKey * | NewInstance () const
| vtkInformationIntegerKey (const char *name, const char *location)
| ~vtkInformationIntegerKey () override
void | ShallowCopy (vtkInformation *from, vtkInformation *to) override
| Copy the entry associated with this key from one information object to another. More...
void | Print (ostream &os, vtkInformation *info) override
| Print the key's value in an information object to a stream. More...
void | Set (vtkInformation *info, int)
| Get/Set the value associated with this key in the given information object. More...
int | Get (vtkInformation *info)
| Get/Set the value associated with this key in the given information object. More...
Public Member Functions inherited from vtkInformationKey
| vtkBaseTypeMacro (vtkInformationKey, vtkObjectBase)
void | Register (vtkObjectBase *) override
| Prevent normal vtkObject reference counting behavior. More...
void | UnRegister (vtkObjectBase *) override
| Prevent normal vtkObject reference counting behavior. More...
const char * | GetName ()
| Get the name of the key. More...
const char * | GetLocation ()
| Get the location of the key. More...
virtual void | DeepCopy (vtkInformation *from, vtkInformation *to)
| Duplicate (new instance created) the entry associated with this key from one information object to another (new instances of any contained vtkInformation and vtkInformationVector objects are created). More...
virtual int | Has (vtkInformation *info)
| Check whether this key appears in the given information object. More...
virtual void | Remove (vtkInformation *info)
| Remove this key from the given information object. More...
virtual void | Report (vtkInformation *info, vtkGarbageCollector *collector)
| Report a reference this key has in the given information object. More...
virtual bool | NeedToExecute (vtkInformation *vtkNotUsed(pipelineInfo), vtkInformation *vtkNotUsed(dobjInfo))
| This function is only relevant when the pertaining key is used in a VTK pipeline. More...
virtual void | StoreMetaData (vtkInformation *vtkNotUsed(request), vtkInformation *vtkNotUsed(pipelineInfo), vtkInformation *vtkNotUsed(dobjInfo))
| This function is only relevant when the pertaining key is used in a VTK pipeline. More...
virtual void | CopyDefaultInformation (vtkInformation *vtkNotUsed(request), vtkInformation *vtkNotUsed(fromInfo), vtkInformation *vtkNotUsed(toInfo))
| This function is only relevant when the pertaining key is used in a VTK pipeline. More...
| vtkInformationKey (const char *name, const char *location)
| Key instances are static data that need to be created and destroyed. More...
| ~vtkInformationKey () override
| Key instances are static data that need to be created and destroyed. More...
void | Print (vtkInformation *info)
| Print the key's value in an information object to a stream. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual std::string | GetObjectDescription () const
| The object description printed in messages and PrintSelf output. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkInformationIntegerRequestKey * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerRequestKey * | MakeKey (const char *name, const char *location)
| This method simply returns a new vtkInformationIntegerRequestKey, given a name and a location. More...
Static Public Member Functions inherited from vtkInformationIntegerKey
static vtkTypeBool | IsTypeOf (const char *type)
static vtkInformationIntegerKey * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | MakeKey (const char *name, const char *location)
| This method simply returns a new vtkInformationIntegerKey, given a name and a location. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
Protected Member Functions inherited from vtkInformationIntegerKey
int * | GetWatchAddress (vtkInformation *info)
| Get the address at which the actual value is stored. More...
Protected Member Functions inherited from vtkInformationKey
| vtkInformationKeySetStringMacro (Name)
| vtkInformationKeySetStringMacro (Location)
void | SetAsObjectBase (vtkInformation *info, vtkObjectBase *value)
const vtkObjectBase * | GetAsObjectBase (vtkInformation *info) const
vtkObjectBase * | GetAsObjectBase (vtkInformation *info)
void | ReportAsObjectBase (vtkInformation *info, vtkGarbageCollector *collector)
void | ConstructClass (const char *)
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | RegisterInternal (vtkObjectBase *, vtkTypeBool check)
virtual void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check)
virtual void | ReportReferences (vtkGarbageCollector *)
virtual void | ObjectFinalize ()
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkInformationIntegerKey * | DataKey
Protected Attributes inherited from vtkInformationKey
char * | Name
char * | Location
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

key that can used to request integer values from the pipeline vtkInformationIntegerRequestKey is a vtkInformationIntegerKey that can used to request integer values from upstream.

A good example of this is UPDATE_NUMBER_OF_PIECES where downstream can request that upstream provides data partitioned into a certain number of pieces. There are several components that make this work. First, the key will copy itself upstream during REQUEST_UPDATE_EXTENT. Second, after a successful execution, it will stor its value into a data object's information using a specific key defined by its data member DataKey. Third, before execution, it will check if the requested value matched the value in the data object's information. If not, it will ask the pipeline to execute.

The best way to use this class is to subclass it to set the DataKey data member. This is usually done in the subclass' constructor.

Tests:
  vtkInformationIntegerRequestKey (Tests)

Definition at line 33 of file vtkInformationIntegerRequestKey.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkInformationIntegerKey vtkInformationIntegerRequestKey::Superclass

Definition at line 37 of file vtkInformationIntegerRequestKey.h.

## Constructor & Destructor Documentation

## ◆ vtkInformationIntegerRequestKey()

vtkInformationIntegerRequestKey::vtkInformationIntegerRequestKey | ( | const char * | name,
|  | const char * | location
| ) |  |

## ◆ ~vtkInformationIntegerRequestKey()

vtkInformationIntegerRequestKey::~vtkInformationIntegerRequestKey | ( |  | ) |
| override

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkInformationIntegerRequestKey::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkInformationIntegerRequestKey::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkInformationIntegerKey.

## ◆ SafeDownCast()

static vtkInformationIntegerRequestKey* vtkInformationIntegerRequestKey::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkInformationIntegerRequestKey::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkInformationIntegerKey.

## ◆ NewInstance()

vtkInformationIntegerRequestKey* vtkInformationIntegerRequestKey::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkInformationIntegerRequestKey::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkInformationIntegerKey.

## ◆ MakeKey()

static vtkInformationIntegerRequestKey* vtkInformationIntegerRequestKey::MakeKey | ( | const char * | name,
|  | const char * | location
| ) |  |
| inlinestatic

This method simply returns a new vtkInformationIntegerRequestKey, given a name and a location.

This method is provided for wrappers. Use the constructor directly from C++ instead.

Definition at line 48 of file vtkInformationIntegerRequestKey.h.

## ◆ NeedToExecute()

bool vtkInformationIntegerRequestKey::NeedToExecute | ( | vtkInformation * | pipelineInfo,
|  | vtkInformation * | dobjInfo
| ) |  |
| override

Returns true if a value of type DataKey does not exist in dobjInfo or if it is different that the value stored in pipelineInfo using this key.

## ◆ StoreMetaData()

void vtkInformationIntegerRequestKey::StoreMetaData | ( | vtkInformation * | request,
|  | vtkInformation * | pipelineInfo,
|  | vtkInformation * | dobjInfo
| ) |  |
| override

Copies the value stored in pipelineInfo using this key into dobjInfo.

## ◆ CopyDefaultInformation()

void vtkInformationIntegerRequestKey::CopyDefaultInformation | ( | vtkInformation * | request,
|  | vtkInformation * | fromInfo,
|  | vtkInformation * | toInfo
| ) |  |
| override

Copies the value stored in fromInfo using this key into toInfo if request has the REQUEST_UPDATE_EXTENT key.

## Member Data Documentation

## ◆ DataKey

vtkInformationIntegerKey* vtkInformationIntegerRequestKey::DataKey
| protected

Definition at line 76 of file vtkInformationIntegerRequestKey.h.

The documentation for this class was generated from the following file:

- Common/ExecutionModel/vtkInformationIntegerRequestKey.h